Infrastructure - Task #3972
Story # 3910 (Closed): Modify Synchronization to apply more validation Logic

Validate DataONE Resource Map Objects

2013-09-11 18:12 - Robert Waltz

Status:
Priority:
Assignee:
Category:
Target version:
Milestone:

Product Version:

Closed

Normal

Skye Roseboom
d1_synchronization
CCI-1.5.0

None

*

Start date: 2013-09-11
Due date:

% Done: 100%
Estimated time: 0.00 hour

Story Points:

Description

Resource Map objects will need to be validated with methods in the lib client before create is called on them.

Related issues:

Related to Infrastructure - Story #4025: Release CCl 1.2.3 Features

Closed 2013-10-02

Related to Infrastructure - Story #6848: Expand ObjectFormat.formatType options Closed 2015-02-11

2013-10-26

History

#1 - 2013-09-11 18:14 - Skye Roseboom

- Assignee changed from Robert Waltz to Skye Roseboom

Will coordinate, plan this work with Robert.

#2 - 2013-09-13 15:27 - Skye Roseboom
- Milestone changed from CCI-1.2 to None

#3 - 2013-09-18 14:50 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2013-10-03 16:52 - Skye Roseboom

- Status changed from In Progress to Testing

Tested in cn-dev environment.

#5 - 2013-10-18 20:40 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

Appears to be working properly in stage testing. closing for release.

#6 - 2013-10-28 20:32 - Robert Waltz

- Target version changed from 2013.35-Block.5.1 to 2013.44-Block.6. 1

#7 - 2013-10-30 00:56 - Robert Waltz

- Target version changed from 2013.44-Block.6.1 to 2013.46-Block.6.2

#8 - 2014-01-06 18:44 - Dave Vieglais

2024-04-26

Looks to be working. Ready to test in sandbox/stage.
- Target version deleted (2013.46-Block.6.2)

#9 - 2014-07-31 19:58 - Robert Waltz
- Target version set to 2014.30-Block.4.3

#10 - 2014-09-02 18:21 - Skye Roseboom
- Target version changed from 2014.30-Block.4.3 to Release Backlog

#11 - 2014-09-24 18:09 - Robert Waltz

- Target version changed from Release Backlog to CCl-1.4.1

#12 - 2014-09-24 18:31 - Robert Waltz
- Target version changed from CCI-1.4.1 to CCI-1.4.2

#13 - 2014-10-02 19:29 - Robert Waltz
- Target version changed from CCl-1.4.2 to CCI-1.5.0

#14 - 2015-02-11 06:21 - Ben Leinfelder
- Related to Story #6848: Expand ObjectFormat.formatType options added

2024-04-26
